DROP TABLE IF EXISTS items;
CREATE TABLE items (
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`name` TEXT NOT NULL,
	`type` INTEGER NOT NULL DEFAULT 0,
	`subtype` INTEGER NOT NULL DEFAULT 0,
	`slot` INTEGER NOT NULL DEFAULT 0,
	`rarity` INTEGER NOT NULL DEFAULT 0,
	`value` INTEGER NOT NULL DEFAULT 0,
	`consumable` INTEGER NOT NULL DEFAULT 0,
	`duration` INTEGER NOT NULL DEFAULT 0,
	`durability` INTEGER NOT NULL DEFAULT 0,
	`pow` INTEGER NOT NULL DEFAULT 0,  -- Power
	`acc` INTEGER NOT NULL DEFAULT 0,  -- Accuracy
	`pen` INTEGER NOT NULL DEFAULT 0,  -- Penetration
	`foc` INTEGER NOT NULL DEFAULT 0,  -- Focus
	`tou` INTEGER NOT NULL DEFAULT 0,  -- Toughness
	`arm` INTEGER NOT NULL DEFAULT 0,  -- Armor
	`res` INTEGER NOT NULL DEFAULT 0,  -- Resist
	`pre` INTEGER NOT NULL DEFAULT 0,  -- Precision
	`fer` INTEGER NOT NULL DEFAULT 0,  -- Ferocity
	`luck` INTEGER NOT NULL DEFAULT 0,
	`reqs` TEXT NOT NULL DEFAULT "",
	`traits` TEXT NOT NULL DEFAULT "",
	`lore` TEXT NOT NULL DEFAULT "",
	`created` DATETIME DEFAULT CURRENT_TIMESTAMP,
	`updated` DATETIME DEFAULT CURRENT_TIMESTAMP
);

DROP TABLE IF EXISTS mobs;
CREATE TABLE mobs (
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`name` TEXT NOT NULL,
	`type` INTEGER NOT NULL,
	`rank` INTEGER NOT NULL,
	`level` INTEGER NOT NULL,
	`hp` INTEGER NOT NULL,
	`m_hp` INTEGER NOT NULL,
	`mp` INTEGER NOT NULL,
	`m_mp` INTEGER NOT NULL,
	`pow` INTEGER NOT NULL,  -- Power
	`acc` INTEGER NOT NULL,  -- Accuracy
	`pen` INTEGER NOT NULL,  -- Penetration
	`foc` INTEGER NOT NULL,  -- Focus
	`tou` INTEGER NOT NULL,  -- Toughness
	`arm` INTEGER NOT NULL,  -- Armor
	`res` INTEGER NOT NULL,  -- Resist
	`pre` INTEGER NOT NULL,  -- Precision
	`fer` INTEGER NOT NULL,  -- Ferocity
	`xp` INTEGER NOT NULL,
	`silver` INTEGER NOT NULL,
	`loot` TEXT NOT NULL,
	`lore` TEXT NOT NULL,
	`created` DATETIME DEFAULT CURRENT_TIMESTAMP,
	`updated` DATETIME DEFAULT CURRENT_TIMESTAMP
);
